---
title: concat
slug: Web/XPath/Functions/concat
tags:
  - XSLT
  - XSLT_Reference
---
<p>{{ XsltRef() }}</p>

<p><br>
 The <code>concat</code> function concatenates two or more strings and returns the resulting string.</p>

<h3 id="Syntax">Syntax</h3>

<pre class="eval">concat(<em>string<sub>1</sub></em> ,<em>string<sub>2</sub></em> [,<em>string<sub>n</sub></em>]* )
</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt><code><em>string<sub>n</sub></em></code></dt>
 <dd>This function accepts two or more arguments. Each of these arguments is a string.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A single string that is the concatenation of all the strings passed to the function as arguments.</p>

<h3 id="Defined">Defined</h3>

<p><a class="external" href="http://www.w3.org/TR/xpath#function-concat">XPath 1.0 4.2</a></p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
